{ config, lib, pkgs, ... }:

{
  services = {
    btrfs = {
      autoScrub = {
        enable = true;
      };
    };
    btrbk = {
      instances."home" = {
        onCalendar = "hourly";
        settings = {
          timestamp_format = "long";
          snapshot_preserve_min = "18h";
          snapshot_preserve = "48h";
          volume = {
            "/" = {
              snapshot_dir = "/.snapshots";
              subvolume = "/home";
            };
          };
        };
      };
    };
  };

  systemd.tmpfiles.rules = [
    "d /.snapshots 0755 root root"
  ];
}
